#!/bin/bash

export BASEDIR=$(dirname $0)
export API_NAME=lwams-submanager
export JAR_NAME=${API_NAME}.jar

pid=`ps -ef|grep ${JAR_NAME}|grep -v grep|awk '{print $2}' `

if [[ -z "$pid" ]]; then
    echo ">>> ${JAR_NAME} is not running <<<"
fi

if [[ -n "$pid" ]]; then
  echo ${pid}
  echo ">>> api 2 PID = $pid begin kill -9 $pid  <<<"
  kill -9 ${pid}
  sleep 2
  echo ">>> $JAR_NAME process stopped <<<"
fi