#!/bin/bash

export BASEDIR=$(dirname $0)
export API_NAME=lwams-submanager
export JAR_NAME=${API_NAME}.jar

nohup java -Xmx512m -jar ${BASEDIR}/${JAR_NAME} -conf conf/config.json &

sleep 5

echo "LWAMS Sub-Manager startup"
echo "If it is not initialized, please go to http://localhost:8080 to set it up"