'use strict';

angular.module('SubmanagerWeb').service('AppContext', ['$cookies', function ($cookies) {
    var service = this;
    var currentUser = null;

    service.setCurrentUser = function (user) {
        currentUser = user;
        $cookies.put('user', user);
        return currentUser;
    };

    service.getCurrentUser = function () {
        if (!currentUser) {
            currentUser = $cookies.get('user');
        }
        return currentUser;
    };
}]);