'use strict';

angular.module('SubmanagerWeb').config(RouteConfig);

RouteConfig.$inject = ['$routeProvider'];

function RouteConfig($routeProvider) {

    $routeProvider
        .when('/login', {
            templateUrl: 'app/templates/login/login.html',
            controller: 'LoginCtrl',
            controllerAs: 'login'
        })
        .when('/node', {
            templateUrl: 'app/templates/node/node.html',
            controller: 'NodeCtrl',
            controllerAs: 'node'
        })
        .when('/nodeuser/:nodeId', {
            templateUrl: 'app/templates/nodeuser/nodeuser.html',
            controller: 'NodeuserCtrl',
            controllerAs: 'nodeu'
        })
        .when('/setting', {
            templateUrl: 'app/templates/setting/setting.html',
            controller: 'SettingCtrl',
            controllerAs: 'setting'
        })
        .otherwise({redirectTo: '/node'});
}